# Uses of Class
org.opensaml.security.x509.tls.ClientTLSValidationParameters

Packages that use ClientTLSValidationParameters
Package
Description
org.opensaml.security.messaging
Messaging-related security classes.
org.opensaml.security.x509.tls
TLS security functionality.
org.opensaml.security.x509.tls.impl
Implementation classes for client TLS security.

## Uses of ClientTLSValidationParameters in org.opensaml.security.messaging

Fields in org.opensaml.security.messaging declared as ClientTLSValidationParameters
Modifier and Type
Field
Description
`private ClientTLSValidationParameters`
ClientTLSSecurityParametersContext.`validationParameters`
A `ClientTLSValidationParameters` instance.
Methods in org.opensaml.security.messaging that return ClientTLSValidationParameters
Modifier and Type
Method
Description
`ClientTLSValidationParameters`
ClientTLSSecurityParametersContext.`getValidationParameters()`
Get an instance of `ClientTLSValidationParameters`.
Methods in org.opensaml.security.messaging with parameters of type ClientTLSValidationParameters
Modifier and Type
Method
Description
`ClientTLSSecurityParametersContext`
ClientTLSSecurityParametersContext.`setValidationParameters(ClientTLSValidationParameters params)`
Set an instance of `ClientTLSValidationParameters`.

## Uses of ClientTLSValidationParameters in org.opensaml.security.x509.tls

Methods in org.opensaml.security.x509.tls that return ClientTLSValidationParameters
Modifier and Type
Method
Description
`ClientTLSValidationParameters`
ClientTLSValidationParameters.`setCertificateNameOptions(CertificateNameOptions options)`
Set a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.
`ClientTLSValidationParameters`
ClientTLSValidationParameters.`setX509TrustEngine(TrustEngine<? super X509Credential> engine)`
Set a `TrustEngine` instance used to validate a client TLS `X509Credential`.

## Uses of ClientTLSValidationParameters in org.opensaml.security.x509.tls.impl

Methods in org.opensaml.security.x509.tls.impl that return ClientTLSValidationParameters
Modifier and Type
Method
Description
`ClientTLSValidationParameters`
BasicClientTLSValidationParametersResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.security.x509.tls.impl that return types with arguments of type ClientTLSValidationParameters
Modifier and Type
Method
Description
`Iterable<ClientTLSValidationParameters>`
BasicClientTLSValidationParametersResolver.`resolve(CriteriaSet criteria)`